package com.mcwl.resource.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mcwl.resource.domain.ModelImage;
import com.mcwl.resource.domain.response.ResponseModelImage;
import com.mcwl.resource.domain.vo.PageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ModelImageMapper extends BaseMapper<ModelImage> {
    Long sumLikeNumber(@Param("userId") Long userId);

    List<ModelImage> fetchModelImageSortedByTopStatus();


    void setModelImageTop(@Param("id") Long id, @Param("isTop") int i);

    List<ResponseModelImage> imageList(PageVo pageVo);

    Long sumImageNumber(Long userId);
}
